part of '../ngx_core.dart';

/// Converts the specified [name] in camel case to kebab case,
/// using the given [separator] to separate the words in the output string.
String kebabCase(String name, {String separator = '-'}) =>
    name.replaceAllMapped(
        RegExp('[A-Z]'),
        (match) =>
            '${match.start > 0 ? separator : ''}${match[0].toLowerCase()}');

/// Removes whitespace from both ends of all controls of the specified [form].
void trimFormControls(NgForm form) {
  for (final control in form.controls.values)
    if (control.value is String) control.updateValue(control.value.trim());
}
