part of '../../ngx_core.dart';

/// Manages the downloads.
class Downloader {
  /// Triggers the download of the specified [file].
  void downloadFile(dom.File file) {
    final url = dom.Url.createObjectUrl(file);
    final anchor = dom.AnchorElement(href: url)..download = file.name;
    dom.document.body.append(anchor);
    anchor
      ..click()
      ..remove();
    dom.Url.revokeObjectUrl(url);
  }

  /// Triggers the download of the specified [text] content.
  void downloadString(String text, String fileName, {Map options}) =>
      downloadFile(dom.File([text], fileName, options));
}
