import 'package:angular_forms/angular_forms.dart';
import 'package:ngx_core/ngx_core.dart';
import 'package:test/test.dart';

/// Tests the features of the helper functions.
void main() {
  group('kebabCase()', () {
    test('should transform the input to lowercase', () {
      expect(kebabCase('Foo'), 'foo');
    });

    test('should add a dash before the capital letters', () {
      expect(kebabCase('fooBarBaz'), 'foo-bar-baz');
    });
  });

  group('trimFormControls()', () {
    test('should trim the values of the form controls', () {
      final form = NgForm(null);
      form.controls['foo'] = Control('  bar  ');
      trimFormControls(form);
      expect(form.controls['foo'].value, 'bar');
    });
  });
}
